# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

Public Member Functions | Protected Attributes | Friends

# vl::PolygonSimplifier::Triangle Class Reference

A Triangle as defined by PolygonSimplifier. More...

`#include <PolygonSimplifier.hpp>`

List of all members.

## Public Member Functions

| Triangle ()
void | replaceVertex (Vertex *oldv, Vertex *newv)
void | computeNormal ()
float | computeArea () const
float | computePotentialArea (const Vertex *oldv, const Vertex *newv) const
fvec3 | computePotentialNormal (const Vertex *oldv, const Vertex *newv) const
bool | hasVertex (const Vertex *v) const
bool | checkTriangle () const
QErr | computeQErr () const
const Vertex * | vertex (int index) const
| vertices of the triangle
Vertex * | vertex (int index)
const fvec3 & | normal () const
| normal of the triangle
bool | removed () const
| ara of the triangle

## Protected Attributes

Vertex * | mVertices [3]
| generates the QErr
fvec3 | mNormal
| normal of the triangle
bool | mRemoved
| ara of the triangle

## Friends

class | PolygonSimplifier
class | Vertex

## Detailed Description

A Triangle as defined by PolygonSimplifier.

Definition at line 190 of file PolygonSimplifier.hpp.

## Constructor & Destructor Documentation

vl::PolygonSimplifier::Triangle::Triangle | ( | ) | `[inline]`

Definition at line 195 of file PolygonSimplifier.hpp.

## Member Function Documentation

void vl::PolygonSimplifier::Triangle::replaceVertex | ( | Vertex * | oldv,
|  | Vertex * | newv
| ) |  | `[inline]`

Definition at line 573 of file PolygonSimplifier.hpp.

References VL_CHECK.

void vl::PolygonSimplifier::Triangle::computeNormal | ( | ) | `[inline]`

Definition at line 564 of file PolygonSimplifier.hpp.

References vl::cross().

float vl::PolygonSimplifier::Triangle::computeArea | ( | ) | const`[inline]`

Definition at line 542 of file PolygonSimplifier.hpp.

References vl::dot(), vl::length(), vl::Vector3< T_Scalar >::length(), and VL_CHECK.

float vl::PolygonSimplifier::Triangle::computePotentialArea | ( | const Vertex * | oldv,
|  | const Vertex * | newv
| ) |  | const`[inline]`

Definition at line 524 of file PolygonSimplifier.hpp.

References vl::dot(), vl::length(), vl::Vector3< T_Scalar >::length(), and vl::PolygonSimplifier::Vertex::mPosition.

fvec3 vl::PolygonSimplifier::Triangle::computePotentialNormal | ( | const Vertex * | oldv,
|  | const Vertex * | newv
| ) |  | const`[inline]`

Definition at line 496 of file PolygonSimplifier.hpp.

References vl::cross(), vl::PolygonSimplifier::Vertex::mPosition, and vl::Vector3< T_Scalar >::normalize().

bool vl::PolygonSimplifier::Triangle::hasVertex | ( | const Vertex * | v ) | const`[inline]`

Definition at line 519 of file PolygonSimplifier.hpp.

Referenced by vl::PolygonSimplifier::computeCollapseInfo().

bool vl::PolygonSimplifier::Triangle::checkTriangle | ( | ) | const`[inline]`

Definition at line 507 of file PolygonSimplifier.hpp.

References VL_CHECK.

PolygonSimplifier::QErr vl::PolygonSimplifier::Triangle::computeQErr | ( | ) | const`[inline]`

Definition at line 488 of file PolygonSimplifier.hpp.

References vl::dot().

const Vertex* vl::PolygonSimplifier::Triangle::vertex | ( | int | index ) | const`[inline]`

vertices of the triangle

Definition at line 213 of file PolygonSimplifier.hpp.

Referenced by vl::PolygonSimplifier::computeCollapseInfo().

Vertex* vl::PolygonSimplifier::Triangle::vertex | ( | int | index ) | `[inline]`

Definition at line 214 of file PolygonSimplifier.hpp.

const fvec3& vl::PolygonSimplifier::Triangle::normal | ( | ) | const`[inline]`

normal of the triangle

Definition at line 216 of file PolygonSimplifier.hpp.

Referenced by vl::PolygonSimplifier::computeCollapseInfo().

bool vl::PolygonSimplifier::Triangle::removed | ( | ) | const`[inline]`

ara of the triangle

has this triangle been removed?

Definition at line 220 of file PolygonSimplifier.hpp.

## Friends And Related Function Documentation

friend class PolygonSimplifier`[friend]`

Definition at line 192 of file PolygonSimplifier.hpp.

friend class Vertex`[friend]`

Definition at line 193 of file PolygonSimplifier.hpp.

## Member Data Documentation

Vertex* vl::PolygonSimplifier::Triangle::mVertices[3]`[protected]`

generates the QErr

vertices of the triangle

Definition at line 225 of file PolygonSimplifier.hpp.

fvec3 vl::PolygonSimplifier::Triangle::mNormal`[protected]`

normal of the triangle

Definition at line 227 of file PolygonSimplifier.hpp.

bool vl::PolygonSimplifier::Triangle::mRemoved`[protected]`

ara of the triangle

has this triangle been removed?

Definition at line 231 of file PolygonSimplifier.hpp.

The documentation for this class was generated from the following file:

- D:/VL/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlGraphics/PolygonSimplifier.hpp

Visualization Library v2011.05.1142 Reference Documentation
Copyright 2005-2011 Michele Bosi. All rights reserved.
Updated on Thu May 26 2011 22:51:43.
Permission is granted to use this page to write and publish articles regarding Visualization Library.